Every transaction settled in one statement
GET
/api/public/v1/tik_tok_shop/finance/statements/{statementId}/transactionsConnectorAnswers empty results in the documented shape until the brand switches on this connection.
Operation id listTikTokShopStatementTransactions
Request
curl
curl "https://creator.growthdept.ai/api/public/v1/tik_tok_shop/finance/statements/<statementId>/transactions" \
-H "Authorization: Bearer gdc_..."Parameters
| Name | In | Type | Notes |
|---|---|---|---|
| statementId | path | string | required |
| sort_order | query | string | One of ASCDESC Default DESC |
| page_size | query | integer | |
| page_token | query | string | |
| organization_id | query | integer |
Responses
200Success
| Field | Type | Notes |
|---|---|---|
| createTime | number, nullable | |
| currency | string, nullable | |
| nextPageToken | string, nullable | |
| payableAmount | number, nullable | |
| statementId | string, nullable | |
| status | string, nullable | |
| totalCount | number, nullable | |
| totalReserveAmount | number, nullable | |
| totalSettlementAmount | number, nullable | |
| totalSettlementBreakdown | object, nullable | |
| totalSettlementBreakdown.totalAdjustmentAmount | number, nullable | |
| totalSettlementBreakdown.totalFeeTaxAmount | number, nullable | |
| totalSettlementBreakdown.totalRevenueAmount | number, nullable | |
| totalSettlementBreakdown.totalShippingCostAmount | number, nullable | |
| transactions | array of object, nullable | |
| transactions[].[].adjustmentAmount | , nullable | |
| transactions[].[].adjustmentId | , nullable | |
| transactions[].[].adjustmentOrderId | , nullable | |
| transactions[].[].associatedOrderId | , nullable | |
| transactions[].[].estimatedReleaseTime | , nullable | |
| transactions[].[].feeTaxAmount | number, nullable | |
| transactions[].[].feeTaxBreakdown | object, nullable | |
| transactions[].[].feeTaxBreakdown.fee | object, nullable | |
| transactions[].[].feeTaxBreakdown.fee.affiliateCommissionAmount | number, nullable | |
| transactions[].[].feeTaxBreakdown.fee.referralFeeAmount | number, nullable | |
| transactions[].[].feeTaxBreakdown.fee.transactionFeeAmount | number, nullable | |
| transactions[].[].feeTaxBreakdown.tax | object, nullable | |
| transactions[].[].id | string, nullable | |
| transactions[].[].orderCreateTime | number, nullable | |
| transactions[].[].orderId | string, nullable | |
| transactions[].[].reserveAmount | , nullable | |
| transactions[].[].reserveId | , nullable | |
| transactions[].[].reserveStatus | , nullable | |
| transactions[].[].revenueAmount | number, nullable | |
| transactions[].[].revenueBreakdown | object, nullable | |
| transactions[].[].revenueBreakdown.sellerDiscountAmount | number, nullable | |
| transactions[].[].revenueBreakdown.subtotalBeforeDiscountAmount | number, nullable | |
| transactions[].[].settlementAmount | number, nullable | |
| transactions[].[].shippingCostAmount | number, nullable | |
| transactions[].[].shippingCostBreakdown | object, nullable | |
| transactions[].[].shippingCostBreakdown.actualShippingFeeAmount | number, nullable | |
| transactions[].[].supplementaryComponent | object, nullable | |
| transactions[].[].type | string, nullable |
Example
{
"createTime": 125.5,
"currency": "usd",
"nextPageToken": "string",
"payableAmount": 125.5,
"statementId": "string",
"status": "string",
"totalCount": 125.5,
"totalReserveAmount": 125.5,
"totalSettlementAmount": 125.5,
"totalSettlementBreakdown": {
"totalAdjustmentAmount": 125.5,
"totalFeeTaxAmount": 125.5,
"totalRevenueAmount": 125.5,
"totalShippingCostAmount": 125.5
},
"transactions": [
{
"adjustmentAmount": "string",
"adjustmentId": "string",
"adjustmentOrderId": "string",
"associatedOrderId": "string",
"estimatedReleaseTime": "string",
"feeTaxAmount": 125.5,
"feeTaxBreakdown": {
"fee": {
"affiliateCommissionAmount": 125.5,
"referralFeeAmount": 125.5,
"transactionFeeAmount": 125.5
},
"tax": {}
},
"id": "string",
"orderCreateTime": 125.5,
"orderId": "string",
"reserveAmount": "string",
"reserveId": "string",
"reserveStatus": "string",
"revenueAmount": 125.5,
"revenueBreakdown": {
"sellerDiscountAmount": 125.5,
"subtotalBeforeDiscountAmount": 125.5
},
"settlementAmount": 125.5,
"shippingCostAmount": 125.5,
"shippingCostBreakdown": {
"actualShippingFeeAmount": 125.5
},
"supplementaryComponent": {},
"type": "string"
}
]
}Errors: 400401403404422429502with an error and usually a message. See errors.
Example values are made up from each field's type and name.